Bug 480531 - VPI support broken
VPI support broken
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: iverilog (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Balint Cristian
Fedora Extras Quality Assurance
:
: 487341 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-18 08:04 EST by Chitlesh GOORAH
Modified: 2009-07-19 06:33 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.9.20090423-5.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-19 06:13:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2009-01-18 08:04:28 EST
Description of problem:
VPI support on iverilog is broken. Because the *.a files are excluded on the iverilog.spec file

Version-Release number of selected component (if applicable):
0.9.20081118-1.fc10

How reproducible:
Everytime

Steps to Reproduce:
1.follow the example on http://iverilog.wikia.com/wiki/Using_VPI
2.
3.
  
Actual results:
iverilog-vpi hello_vpi.c                                           
Compiling hello_vpi.c...                                                                        
Making hello_vpi.vpi from  hello_vpi.o...                                                       
/usr/bin/ld: cannot find -lveriuser                                                             
collect2: ld returned 1 exit status  

Solution: include the *.a files on the -devel package
Comment 1 Chitlesh GOORAH 2009-01-18 08:17:09 EST
convert the static lib into dynamic. See how I did for systemc:

------------------------------------------------------
# strip debug info, or strip everything
# turn static library into dynamic
ar -x src/libsystemc.a
gcc %{optflags} -shared *.o -o libsystemc.so

# rpmlint W: executable-stack
execstack -c libsystemc.so
Comment 2 Balint Cristian 2009-01-19 01:24:18 EST
HI Chitelesh,


  I will fix it today, no problem.


Chitelesh, i just remind you that you also have 
CVS rights over the package, when i subbmited the 
package i added you too as admin.
Comment 3 Chitlesh GOORAH 2009-01-19 17:53:43 EST
Thanks Cristian,
I know, however it is my task to fill a bug report first.
Comment 4 Chitlesh GOORAH 2009-02-25 12:40:23 EST
*** Bug 487341 has been marked as a duplicate of this bug. ***
Comment 5 Chitlesh GOORAH 2009-02-25 12:42:07 EST
BTW iverilog has failed mass rebuild on rawhide too.
http://koji.fedoraproject.org/koji/buildinfo?buildID=86503
Comment 6 Chitlesh GOORAH 2009-03-24 17:55:22 EDT
The 0.9.1 builds just fine on F-11 rawhide.
http://koji.fedoraproject.org/scratch/chitlesh/task_1255503/


I'm currently doing a couple of tests before releases it to updates-testing.

Chitlesh
Comment 7 Bug Zapper 2009-06-09 06:46:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 João Felipe Santos 2009-07-12 19:46:38 EDT
This is also present under Fedora 10 iverilog-devel package. Is there a chance it will be updated before F10 reaches EOL? 

Thanks!
Comment 9 Chitlesh GOORAH 2009-07-12 22:50:28 EDT
Hello Joao,

I have created another scratch build. Can you try it please and give me some feedbacks ? 

When I get back home, I'll seriously look at it and push it to the fedora repositories.

https://koji.fedoraproject.org/scratch/chitlesh/task_1470468/

I am dropping the -devel subpackage.
Comment 10 João Felipe Santos 2009-07-13 08:10:14 EDT
Hello Chitlesh,

the packages you created are working, including VPI support. Thanks for your effort!
Comment 11 Fedora Update System 2009-07-13 18:50:45 EDT
iverilog-0.9.20090423-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/iverilog-0.9.20090423-5.fc11
Comment 12 Fedora Update System 2009-07-13 18:50:51 EDT
iverilog-0.9.20090423-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/iverilog-0.9.20090423-5.fc10
Comment 13 Fedora Update System 2009-07-19 06:13:47 EDT
iverilog-0.9.20090423-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-07-19 06:33:24 EDT
iverilog-0.9.20090423-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.